DyNetworkX
==========

DyNetworkX is a Python package for the study of dynamic network analysis (DNA).
DyNetworkX used to be a fork of [NetworkX](https://networkx.github.io/documentation/stable/index.html) package. Thus, implementation, documentation and the development of DyNetworkX is heavily
influenced by NetworkX.

**Documentation:** https://dynetworkx.readthedocs.io/

DyNetworkX provides:

-  Tools for the study of the structure of dynamic networks.
-  All dynamic graph types can be converted to one or more of NetworkX
   graph types, allowing access to a verity of network algorithms.

Audience
--------

The audience for DyNetworkX includes mathematicians, physicists, biologists,
computer scientists, and social scientists. Overall, everyone interested
in analyzing dynamic networks.

Install
-------
You can install the latest version of DyNetworkX using pip:
```python
pip install dynetworkx
```

Python
------

Python is a powerful programming language that allows simple and flexible
representations of networks as well as clear and concise expressions of network
algorithms.  Python has a vibrant and growing ecosystem of packages that
NetworkX uses to provide more features such as numerical linear algebra and
drawing.  In order to make the most out of NetworkX you will want to know how
to write basic programs in Python.  Among the many guides to Python, we
recommend the [Python documentation](https://docs.python.org/3/).

License
-------

Released under the 3-Clause BSD license (see [LICENSE.txt](LICENSE.txt)):

   Copyright (C) 2018 IDEASLab @ The University of Toledo.

History
-------

DyNetworkX is developed by IDEASLab @ The University of Toledo.